using BLL;
using DAL;
using Helper;
using Model;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
namespace WpfTest
{
    /// <summary>
    /// MainWindow.xaml 的交互逻辑
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }
        private void FrmMain_Loaded(object sender, RoutedEventArgs e)
        {
            foreach (MusicSource item in DAL.Info.Sources)
            {
                if (item.Enabled)
                { cboSource.Items.Add(item); }
            }
            cboSource.SelectedIndex = 0;
        }
        private void btnSearch_Click(object sender, RoutedEventArgs e)
        {
            MusicSource source = (MusicSource)cboSource.SelectedItem;
            MusicBLL bll = new MusicBLL(source.Value);
            dgvMusic.ItemsSource = Music.ModelToTable(bll.Search(txtWord.Text, 1, 30)).DefaultView;
        }
    }
}
